


#ifdef		WIN32
#include <windows.h>
#else

#define BYTE	unsigned char
#define WORD	unsigned short
#define DWORD	unsigned long

#endif


//   __cdecl		APIs
typedef WORD (*in16T)(WORD Port);
typedef BYTE   (*in8T)(WORD Port);
typedef void (* out16T ) (WORD Port, WORD	data);
typedef void (*out8T) (WORD Port, BYTE	data);
typedef WORD (*rd16T)(DWORD phadr);
typedef BYTE (*rd8T)(DWORD phadr);
typedef void (*wr16T)(DWORD phadr, WORD	data);
typedef void (*wr8T)(DWORD phadr, BYTE	data);

typedef int (*ArsInitT)( );
typedef void (*ArsExitT)();
typedef DWORD (*GetIrqDmaT)();



extern in16T in16;
extern in8T in8;
extern out16T out16;
extern out8T out8;
extern rd16T rd16;
extern rd8T rd8;
extern wr16T wr16;
extern wr8T wr8;

extern ArsInitT ArsInit;
extern ArsExitT ArsExit;
extern GetIrqDmaT GetIrqDma;





//   __stdcall		APIs
typedef DWORD (__stdcall*vin16T)(WORD Port);
typedef DWORD (__stdcall*vin8T)(WORD Port);
typedef DWORD (__stdcall* vout16T ) (WORD Port, WORD	data);
typedef DWORD (__stdcall*vout8T) (WORD Port, BYTE	data);
typedef DWORD (__stdcall*vrd16T)(DWORD phadr);
typedef DWORD (__stdcall*vrd8T)(DWORD phadr);
typedef DWORD (__stdcall*vwr16T)(DWORD phadr, WORD	data);
typedef DWORD (__stdcall*vwr8T)(DWORD phadr, BYTE	data);

typedef DWORD (__stdcall*vArsInitT)( );
typedef DWORD (__stdcall*vArsExitT)();
typedef DWORD (__stdcall*vGetIrqDmaT)();



extern vin16T vin16;
extern vin8T vin8;
extern vout16T vout16;
extern vout8T vout8;
extern vrd16T vrd16;
extern vrd8T vrd8;
extern vwr16T vwr16;
extern vwr8T vwr8;

extern vArsInitT vArsInit;
extern vArsExitT vArsExit;
extern vGetIrqDmaT vGetIrqDma;
